Name:           libyubikey
Version:        1.13
Release:    1%{?dist}
Summary:        C library for decrypting and parsing Yubikey One-time passwords

License:        BSD
URL:            http://opensource.yubico.com/yubico-c
Source0:        http://opensource.yubico.com/yubico-c/releases/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires: make

%description
This package holds a low-level C software development kit for the Yubico
authentication device, the Yubikey.

%package devel
Summary:        Development files for libyubikey
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header file needed to develop applications that use
libyubikey.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%check
export LD_LIBRARY_PATH=${RPM_BUILD_DIR}/%{name}-%{version}/.libs
make check

%install
%make_install INSTALL="install -p"


%files
%doc AUTHORS NEWS ChangeLog README
%license COPYING
%{_bindir}/modhex
%{_bindir}/ykparse
%{_bindir}/ykgenerate
%{_libdir}/libyubikey.so.0
%{_libdir}/libyubikey.so.0.1.7
%{_mandir}/man1/ykgenerate.1*
%{_mandir}/man1/ykparse.1*
%{_mandir}/man1/modhex.1*

%files devel
%{_includedir}/yubikey.h
%{_libdir}/libyubikey.so
%exclude %{_libdir}/libyubikey.la

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-1
- initial build
